/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * This software is Copyright  2011 Yuri Gonzaga Gonalves da Costa <yuriggc at gmail>, and it is hereby released to the general public under the following terms:*
 * Redistribution and use in source and binary forms, with or without modification, are permitted.                                                                 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

package bcryptalgorithm;


public class BCrypt {

    private Eksblowfish eks;

    public BCrypt() {
        this.eks = new Eksblowfish();
    }

    public long[] cript(int cost, long salt[], byte pwd[]) {
        eks.setup(cost, salt, pwd);
        //ctext = "OrpheanBeholderScryDoubt";
        long ctext[] = new long[3];
        ctext[0] = 5724761670021115458L;
        ctext[1] = 7307212906740150867L;
        ctext[2] = 7165923291934581364L;
        for (int i = 0; i < 64; i++) {
            ctext[0] = eks.cryptBF(ctext[0]);
            ctext[1] = eks.cryptBF(ctext[1]);
            ctext[2] = eks.cryptBF(ctext[2]);
        }
        return ctext;
    }

}
